<?php  
namespace Concrete\Package\FileReader;
defined('C5_EXECUTE') or die("Access Denied.");

use Package;
use BlockType;
use Loader;
use SinglePage;
use Page;
use \Concrete\Core\Page\Controller\DashboardPageController;

class Controller extends Package 
{
	
	protected $pkgHandle = 'file_reader';
	protected $appVersionRequired = "5.7.0.4";
	protected $pkgVersion = "2.0.1";


	public function getPackageDescription()
	{
		return t( "display the content of a file within a block (and refresh it periodically)." );
	}

	public function getPackageName() { return t( "File Reader" ); }

	public function isActivated() { return $this->getConfig()->get('backoffice.global_activate') == 1 ?true:false; }
	public function setActivated($activated=true) { $this->getConfig()->save('backoffice.global_activate',$activated?1:0);}


	public function install()
	{
		$pkg = parent::install();

		BlockType::installBlockTypeFromPackage( "file_reader", $pkg );

		$this->setActivated();

		$single_page = SinglePage::add('/dashboard/system/basics/filereader', $pkg);
		$single_page->update(array('cName' => t('File Reader Activation'), 'cDescription' => t('Global activation for filereader')));
	}

}

// vim: set noexpandtab ts=4 :
